> For the complete documentation index, see [llms.txt](https://developers.madkudu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.madkudu.com/api/enrichment.md).

# Enrichment

The Enrichment API allows you to retrieve valuable company insights based on a domain name. It provides structured data  such as hiring activity, technologies usage and more.

## Search job postings from a company

> Find a company's job openings to identify growth, expansion plans and relevant roles they are hiring for. Filter by department, seniority, or keywords.

```json
{"openapi":"3.1.0","info":{"title":"MadAPI","version":"0.0.0"},"tags":[{"name":"Enrichment"}],"servers":[{"url":"https://madapi.madkudu.com","description":"Production server","variables":{}},{"url":"https://madapi.wisekudu.com","description":"Staging server","variables":{}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"JobPostingSearchResponse":{"type":"object","required":["data","meta"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/JobPosting"},"description":"Array of job posting results"},"meta":{"allOf":[{"$ref":"#/components/schemas/SearchMeta"}],"description":"Metadata about the search results"}}},"JobPosting":{"type":"object","required":["company_domain","job_opening_title","job_opening_url","event","event_on","first_event_on"],"properties":{"company_domain":{"type":"string","description":"Company domain"},"job_opening_title":{"type":"string","description":"Job opening title"},"job_opening_url":{"type":"string","description":"URL to the job posting"},"keywords":{"type":"string","description":"Keywords associated with the job"},"categories":{"type":"string","description":"Categories associated with the job"},"location":{"type":"string","description":"Location of the job"},"event":{"type":"string","description":"Event type"},"event_on":{"type":"string","description":"Date when the event occurred"},"first_event_on":{"type":"string","description":"Date when the first event occurred"}}},"SearchMeta":{"type":"object","properties":{"limit":{"type":"integer","format":"int32","description":"Number of results requested"},"total":{"type":"integer","format":"int32","description":"Total number of results available"},"has_next_page":{"type":"boolean","description":"Whether there are more results available"},"next_cursor":{"type":"integer","format":"int32","description":"Cursor for the next page of results"}}},"Common.Errors.ValidationError":{"type":"object","required":["detail"],"properties":{"detail":{"type":"array","items":{"type":"object","properties":{"loc":{"type":"array","prefixItems":[{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"}]}],"description":"What part is invalid"},"msg":{"type":"string","description":"Message discribing the error"},"type":{"type":"string","description":"Type of the error"},"input":{},"ctx":{}},"required":["loc","msg","type"]}}},"description":"Error return when body sent is invalid"},"JobPostingSearchRequestBody":{"type":"object","required":["domain"],"properties":{"domain":{"type":"string","description":"Domain to search for job postings"},"limit":{"type":"integer","format":"int32","description":"Maximum number of results to return","default":20},"cursor":{"type":"integer","format":"int32","description":"Cursor for pagination","default":0},"search":{"type":"string","description":"Free text search query"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/JobPostingFilter"},"description":"Array of filters to apply to the search"},"filter_logic":{"allOf":[{"$ref":"#/components/schemas/FilterLogic"}],"description":"Logic to apply between filters (AND or OR)","default":"AND"},"sort":{"type":"array","items":{"$ref":"#/components/schemas/SortingParam"},"description":"Array of sorting parameters"}}},"JobPostingFilter":{"type":"object","required":["property","operator","value"],"properties":{"property":{"allOf":[{"$ref":"#/components/schemas/JobPostingFilterField"}],"description":"Property to filter on"},"operator":{"allOf":[{"$ref":"#/components/schemas/FilterOperator"}],"description":"Operator to apply for the filter"},"value":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"number","format":"double"},{"type":"boolean"},{"type":"string","format":"date-time"},{"type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"number","format":"double"},{"type":"boolean"},{"type":"string","format":"date-time"}]}}],"description":"Value to filter by"}}},"JobPostingFilterField":{"type":"string","enum":["job_opening_title","keywords","categories","location","event","event_on","first_event_on"]},"FilterOperator":{"type":"string","enum":["IS","IS_NOT","GT","GTE","LT","LTE","IN","NOT_IN","BETWEEN","NOT_BETWEEN","IS_NULL","IS_NOT_NULL","CONTAINS","NOT_CONTAINS","STARTS_WITH","ENDS_WITH"]},"FilterLogic":{"type":"string","enum":["AND","OR"]},"SortingParam":{"type":"object","required":["sort_by","sort_order"],"properties":{"sort_by":{"type":"string","description":"Field to sort by"},"sort_order":{"allOf":[{"$ref":"#/components/schemas/SortOrder"}],"description":"Sort order (ascending or descending)"}}},"SortOrder":{"type":"string","enum":["asc","desc"]}}},"paths":{"/enrichment/job-postings":{"post":{"operationId":"Enrichment_searchJobPostings","summary":"Search job postings from a company","description":"Find a company's job openings to identify growth, expansion plans and relevant roles they are hiring for. Filter by department, seniority, or keywords.","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobPostingSearchResponse"}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Common.Errors.ValidationError"}}}}},"tags":["Enrichment"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobPostingSearchRequestBody"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.madkudu.com/api/enrichment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
